<?php

namespace AuthStack\Driver\tests\units\Model\U2F;

use mageekguy\atoum;
use AuthStack\Driver\Model\U2F\Enroll as EnrollModel;

class Enroll extends atoum
{
    public function testCreateChallenge()
    {
        $this
            ->given($model = EnrollModel::challenge('https://authstack.co.uk', 'ChallengeTitle'))
            ->then
                ->object($model)->isInstanceOf(EnrollModel::class)
                ->array($model->toArray())->isNotEmpty()
                ->boolean($model->delete())->isTrue()
            ;
    }

}
